Package org.apache.commons.collections4.iterators

# Class EmptyIterator<E>

java.lang.Object
org.apache.commons.collections4.iterators.EmptyIterator<E>

Type Parameters:
  `E` - the type of elements returned by this iterator.

All Implemented Interfaces:
  `Iterator<E>`, `ResettableIterator<E>`

public class EmptyIterator<E> extends Object implements ResettableIterator<E>
Provides an implementation of an empty iterator.

This class provides an implementation of an empty iterator. This class provides for binary compatibility between Commons Collections 2.1.1 and 3.1 due to issues with `IteratorUtils`.

Since:
  2.1.1 and 3.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Iterator`
  `INSTANCE`
  Singleton instance of the iterator.
  `static final ResettableIterator`
  `RESETTABLE_INSTANCE`
  Singleton instance of the iterator.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EmptyIterator()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(E obj)`
  `static <E> Iterator<E>`
  `emptyIterator()`
  Gets a typed empty iterator instance.
  `boolean`
  `hasNext()`
  `boolean`
  `hasPrevious()`
  `E`
  `next()`
  `int`
  `nextIndex()`
  `E`
  `previous()`
  `int`
  `previousIndex()`
  `void`
  `remove()`
  `void`
  `reset()`
  `static <E> ResettableIterator<E>`
  `resettableEmptyIterator()`
  Gets a typed resettable empty iterator instance.
  `void`
  `set(E obj)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining, hasNext, next, remove`

  ### Methods inherited from interface org.apache.commons.collections4.ResettableIterator

  `reset`

- ## Field Details

  - ### RESETTABLE_INSTANCE

    public static final ResettableIterator RESETTABLE_INSTANCE
    Singleton instance of the iterator.
    Since:
      3.1

  - ### INSTANCE

    public static final Iterator INSTANCE
    Singleton instance of the iterator.
    Since:
      2.1.1 and 3.1

- ## Constructor Details

  - ### EmptyIterator

    protected EmptyIterator()
    Constructs a new instance.

- ## Method Details

  - ### emptyIterator

    public static <E> Iterator<E> emptyIterator()
    Gets a typed empty iterator instance.
    Type Parameters:
      `E` - the element type
    Returns:
      Iterator<E>

  - ### resettableEmptyIterator

    public static <E> ResettableIterator<E> resettableEmptyIterator()
    Gets a typed resettable empty iterator instance.
    Type Parameters:
      `E` - the element type
    Returns:
      ResettableIterator<E>

  - ### add

    public void add(E obj)

  - ### hasNext

    public boolean hasNext()

  - ### hasPrevious

    public boolean hasPrevious()

  - ### next

    public E next()

  - ### nextIndex

    public int nextIndex()

  - ### previous

    public E previous()

  - ### previousIndex

    public int previousIndex()

  - ### remove

    public void remove()

  - ### reset

    public void reset()

  - ### set

    public void set(E obj)